ProbeObjectType (JProfiler API)
Date: 2012-06-30

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.agent
Class ProbeObjectType

    java.lang.Object
      com.jprofiler.api.agent.ProbeObjectType

    public class ProbeObjectType

extends java.lang.Object

Represents the type of elements to be tracked in probe tracking.

See Also:
  `Controller.startProbeTracking(String, String[], ProbeObjectType, ProbeValueType)`

Field Summary
`static ProbeObjectType` | `CONTROL_OBJECT_FROM_DESCRIPTION` The `descriptions` parameter of the `startProbeTracking` method will contain the names of control objects.
`static ProbeObjectType` | `CONTROL_OBJECT_FROM_ID` The `descriptions` parameter of the `startProbeTracking` method will contain IDs of control objects.
`static ProbeObjectType` | `HOTSPOT` The `descriptions` parameter of the `startProbeTracking` method will contain the names of hot spots.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTROL_OBJECT_FROM_ID

    public static final ProbeObjectType CONTROL_OBJECT_FROM_ID

  The `descriptions` parameter of the `startProbeTracking` method will contain IDs of control objects.

### CONTROL_OBJECT_FROM_DESCRIPTION

    public static final ProbeObjectType CONTROL_OBJECT_FROM_DESCRIPTION

  The `descriptions` parameter of the `startProbeTracking` method will contain the names of control objects.

### HOTSPOT

    public static final ProbeObjectType HOTSPOT

  The `descriptions` parameter of the `startProbeTracking` method will contain the names of hot spots.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD